Summary: TCP "echo" performance test
Name: echoping
Version: 5.2.0
Release: 2%{?dist}
License: GPL
Group: Applications/Internet
Source0: ftp://ftp.internatif.org/pub/unix/echoping/echoping-%{version}.tar.gz
URL: http://echoping.sourceforge.net/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel, libidn-devel

%description
"echoping" is a small program to test (approximatively) performances of a
remote host by sending it TCP "echo" (or other protocol, such as HTTP)
packets.

%prep
%setup -q

%build
%configure \
	--enable-icp \
	--enable-http \
	--enable-smtp \
	--disable-ttcp \
	--enable-tos \
	--enable-priority \
 	--with-libidn \
	--with-ssl \
	--without-gnutls

%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README TODO DETAILS
%{_bindir}/echoping
%{_mandir}/man1/echoping.1*

%changelog
* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 5.2.0-2
- FE6 Rebuild

* Wed Mar 13 2006 Andreas Thienemann <andreas@bawue.net> 5.2.0-1
- Initial FE release.
